/*general styling*/
body {
  margin: 0;
  background: rgb(250, 250, 250);
  min-height: 100vh;
  width: 100%;
  box-sizing: border-box;
  overflow-wrap: break-word;
  hyphens: auto;
  font-family: "Open Sans", Arial, Helvetica, "Microsoft Yahei", sans-serif;
}
div {
  box-sizing: border-box;
}
a, label, input, button, select { /*resetting some styles on focus*/
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: transparent;
  outline: 1px dotted rgba(0, 0, 0, 0);
  outline-offset: -2px;
  transition: 0.2s ease;
}
a:focus, label:focus, input:focus, button:focus, select:focus {
  outline: 1px dotted rgba(0, 0, 0, 0.3);
  outline-offset: 2px;
}

/*navigation bar styling*/
nav {
  box-sizing: border-box;
  width: 100%;
  padding: 1em 2.5em;
  background: transparent;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  transition: 0.25s ease;
}
body.no-js nav, /*nav without js*/
nav.scrolledDown, nav.light.scrolledDown { /*scrolled down styling*/
  background: rgb(250, 250, 250);
  box-shadow: 0 0.25em 0.75em rgba(0, 0, 0, 0.2);
}
body.no-js nav li label.dropdown-title + div, nav.scrolledDown li label.dropdown-title + div {
  padding-top: 0.75em;
}
nav input.nav-checkbox-hidden, input.nav-checkbox-hidden {
  display: none;
}
nav div#nav-collapse {
  width: 100%;
  display: -webkit-box;      /* OLD - iOS 6-, Safari 3.1-6 */
  display: -moz-box;         /* OLD - Firefox 19- (buggy but mostly works) */
  display: -ms-flexbox;      /* TWEENER - IE 10 */
  display: -webkit-flex;     /* NEW - Chrome */
  display: flex; 
    -webkit-box-align: center; /*legacy*/
       -moz-box-align: center;
  -webkit-align-items: center; /*fallback*/
       -ms-flex-align: center;
          align-items: center;
         -webkit-box-pack: justify;
            -moz-box-pack: justify;
  -webkit-justify-content: space-between;
            -ms-flex-pack: justify;
          justify-content: space-between;
}

/*general nav link styling*/
nav li {
  list-style: none;
  position: relative;
}
nav li > a, nav li label.dropdown-title {
  position: relative;
  color: gray;
  text-decoration: none;
  transition: 0.2s ease;
}
nav li > a { /*making it at least a certain width*/
  min-width: 4em;
}
nav.chinese-nav li > a {
  min-width: 5em;
}
nav li > a:hover, nav li:hover label.dropdown-title,
nav li > a:focus, nav li:focus label.dropdown-title,
nav li.active > a {
  color: black;
}
nav li.active > a { /*styling active elements*/
  pointer-events: none;
}
nav div#nav-collapse div > li.active > a::after {
  -webkit-transform: scale(1, 1);
      -ms-transform: scale(1, 1);
          transform: scale(1, 1);
}

/*top level li element styling*/
nav a.nav-name {
  margin-right: 2em;
}
nav a.nav-name {
  color: gray;
  font-weight: bold;
  text-decoration: none;
}
nav div#nav-collapse > div {
  display: inline;
}
nav div#nav-collapse div > li {
  display: inline;
  display: inline-block;
  margin: 0.25em 1.5em;
}
nav div#nav-collapse div > li > a::after, 
nav div#nav-collapse div > li label.dropdown-title::after { /*border on the bottom on hover*/
  position: absolute;
  content: "";
  display: block;
  width: 100%;
  height: 1px;
  bottom: -0.25em;
  left: 0;
  background-color: black;
  -webkit-transform: scale(0, 1);
      -ms-transform: scale(0, 1);
          transform: scale(0, 1);
  transform-origin: left 50%;
  transition: 0.25s ease;
}
nav div#nav-collapse div > li > a:hover::after, nav div#nav-collapse div > li:hover label.dropdown-title::after,
nav div#nav-collapse div > li > a:focus::after, nav div#nav-collapse div > li:focus label.dropdown-title::after {
  -webkit-transform: scale(1, 1);
      -ms-transform: scale(1, 1);
          transform: scale(1, 1);
}

/*dropdown menu styling*/
nav li label.dropdown-title::before { /*caret on the side of the title part*/
  display: block;
  position: absolute;
  content: "";
  top: 50%;
  right: 0;
  width: 0;
  height: 0;
  padding: 4px;
  border: solid gray;
  border-width: 0 0 2px 2px;
  -webkit-transform: translate(200%, -8px) rotate(-45deg);
      -ms-transform: translate(200%, -8px) rotate(-45deg);
          transform: translate(200%, -8px) rotate(-45deg);
  transition: inherit;
}
nav li:hover label.dropdown-title::before, 
nav li:focus label.dropdown-title::before {
  border-color: black;
}
nav li label.dropdown-title + div { /*container div, allows hover over gap*/
  position: absolute;
  top: 100%;
  left: 50%;
  padding-top: 0.25em;
  visibility: hidden;
  opacity: 0;
  transition: 0.2s ease;
  -webkit-transform: translate(-50%, -0.2rem);
      -ms-transform: translate(-50%, -0.2rem);
          transform: translate(-50%, -0.2rem);
}
nav ul.dropdown { /*actual dropdown ul styling*/
  position: relative;
  display: block;
  opacity: 1;
  text-align: center;
  padding: 0;
  background: white;
  box-shadow: 0 8px 1.5em rgba(0, 0, 0, 0.2);
  border-radius: 7px;
}
nav ul.dropdown::before, nav ul.dropdown li:first-child a::before { /*up caret at top of dropdown*/
  content: "";
  position: absolute;
  display: block;
  top: 0;
  left: 50%;
  border: 10px solid transparent;
  border-bottom-color: white;
  -webkit-transform: translate(-50%, -19px);
      -ms-transform: translate(-50%, -19px);
          transform: translate(-50%, -19px);
}
nav ul.dropdown li:first-child a::before {
  border-bottom-color: rgb(240, 240, 240);
  opacity: 0;
  transition: inherit;
}
nav ul.dropdown li a {
  display: block;
  padding: 0.5rem 1.25em;
  transition: 0.2s ease;
}
nav ul.dropdown li.active a { /*active link styling*/
  color: white;
  text-shadow: 0 0 0.5em rgba(255, 255, 255, 0.2);
  background: rgb(170, 170, 170);
}
nav ul.dropdown li.active:first-child a::before {
  border-bottom-color: rgb(170, 170, 170);
  opacity: 1;
}
nav ul.dropdown li:first-of-type a { /*to prevent background from overflowing the rounded corners*/
  border-radius: 7px 7px 0 0;
}
nav ul.dropdown li:last-of-type a {
  border-radius: 0 0 7px 7px;
}
nav ul.dropdown li a:hover, 
nav ul.dropdown li a:focus { /*hover effect on link*/
  background: rgb(240, 240, 240);
}
nav ul.dropdown li:first-of-type a:hover::before, 
nav ul.dropdown li:first-of-type a:focus::before { /*filling caret at top of dropdown*/
  opacity: 1;
}
nav li:hover label.dropdown-title + div, 
nav li:focus label.dropdown-title + div { /*display dropdown on hover*/
  visibility: visible;
  opacity: 1;
  -webkit-transform: translate(-50%, 0);
      -ms-transform: translate(-50%, 0);
          transform: translate(-50%, 0);
}

/*nav light styling */
nav.light {
  background: transparent;
  color: white;
  box-shadow: none;
}
nav.light li > a, nav.light a.nav-name, nav.light li label.dropdown-title,
nav.light li:hover > a, nav.light li:hover label.dropdown-title,
nav.light li:focus > a, nav.light li:focus label.dropdown-title,
nav.light li.active > a { /*white color for everything*/
  color: white;
}
nav.light li > a, nav.light li label.dropdown-title { /*adjusting opacity for links*/
  opacity: 0.8;
}
nav.light li.active > a,
nav.light li:hover > a, nav.light li:hover label.dropdown-title,
nav.light li:focus > a, nav.light li:focus label.dropdown-title { 
  opacity: 1;
}
nav.light li label.dropdown-title::before, 
nav.light li:hover label.dropdown-title::before, 
nav.light li:focus label.dropdown-title::before {
  border-color: white;
}
nav.light div#nav-collapse div > li > a::after, 
nav.light div#nav-collapse div > li label.dropdown-title::after {
  background-color: white;
}
nav.light ul.dropdown::before { /*editing dropdown*/
  border-bottom-color: white;
  opacity: 0.3;
}
nav.light ul.dropdown {
  background: rgba(255, 255, 255, 0.3);
  box-shadow: 0 8px 1em rgba(255, 255, 255, 0.1);
}

/*menu symbols and other mobile stuff*/
nav #nav-name-backup {
  display: none;
}
nav #nav-menu {
  vertical-align: middle;
  position: absolute;
  color: gray;
  top: 50%;
  right: 1em;
  z-index: 10;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
}
nav #nav-menu:hover {
  color: black;
}
nav #nav-close {
  position: absolute;
  top: 0.5em;
  right: 1em;
  z-index: 20;
}
nav #nav-menu, nav #nav-close {
  display: none;
  font-size: 2em;
  transition: 0.2s ease;
}
nav #nav-menu:hover, nav #nav-close:hover {
  cursor: pointer;
}

/*language selection general styling*/
nav #language-nav input:checked ~ label.dropdown-title::before { /*changing up caret direction on checked*/
  -webkit-transform: translate(200%, 0) rotate(135deg);
        -ms-transform: translate(200%, 0) rotate(135deg);
            transform: translate(200%, 0) rotate(135deg);
}
nav #language-nav {
  position: relative;
}
nav #language-nav label.dropdown-title::after { /*underline on mobile nav*/
  content: "";
  position: absolute;
  display: block;
  width: 100%;
  bottom: -1px; /*for alternate styling*/
  height: 2px; /*for altnerate styling*/
  left: 0;
  background-color: rgba(255, 255, 255, 0.8);
  -webkit-transform: scale(0, 1);
      -ms-transform: scale(0, 1);
          transform: scale(0, 1);
  transform-origin: left 50%;
  transition: 0.25s ease;
}
nav #language-nav label.dropdown-title:hover::after {
  -webkit-transform: scale(1, 1);
      -ms-transform: scale(1, 1);
          transform: scale(1, 1);
}
nav #language-nav .material-icons {
  margin-right: 0.4em;
}

/*mobile navigation*/
@media (max-width: 50em) {
  /*opening/closing menu and dropdown styling*/
  nav input#nav-checkbox-open:checked ~ div#nav-collapse { /*move mobile navigation on screen*/
    -webkit-transform: translateY(0);
        -ms-transform: translateY(0);
            transform: translateY(0);
    opacity: 1;
  }
  nav input#nav-checkbox-open:checked ~ #nav-menu { /*updating menu icon when navigation is open*/
    -webkit-transform: translateY(-50%) rotate(90deg) scale(0);
        -ms-transform: translateY(-50%) rotate(90deg) scale(0);
            transform: translateY(-50%) rotate(90deg) scale(0);
  }
  body.no-js nav div#nav-collapse div > li input.nav-checkbox-dropdown:checked ~ label.dropdown-title::after,
  nav div#nav-collapse div > li label.dropdown-title.active::after,
  nav #language-nav input:checked ~ label.dropdown-title::after { /*underline title of dropdown if opened*/
    -webkit-transform: scale(1, 1);
        -ms-transform: scale(1, 1);
            transform: scale(1, 1);
  }
  body.no-js nav div#nav-collapse div > li input.nav-checkbox-dropdown:checked ~ label.dropdown-title::before,
  nav div#nav-collapse div > li label.dropdown-title.active::before,
  nav #language-nav input:checked ~ label.dropdown-title::before { /*updating caret direction if opened*/
    -webkit-transform: translate(0%, 0) rotate(135deg);
        -ms-transform: translate(0%, 0) rotate(135deg);
            transform: translate(0%, 0) rotate(135deg);
  }
  body.no-js nav input.nav-checkbox-dropdown ~ div { /*close dropdown if not checked - only without js since we want to transition with js*/
    display: none;
  }
  body.no-js nav input.nav-checkbox-dropdown:checked ~ div { /*display dropdown if checked*/
    display: block;
  }

  /*styling navigation bar*/
  nav {
    padding-top: 1em;
    padding-bottom: 1em;
  }
  nav div#nav-collapse {
    position: fixed;
    display: block;
    z-index: 50;
    top: 0;
    left: 0;
    padding: 3em 2.5em;
    height: 100%;
    overflow-y: auto;
    text-align: left;
    background: rgba(0, 0, 0, 0.95);
    color: white;
    transition: 0.5s ease;
    -webkit-transform: translateY(-100%);
        -ms-transform: translateY(-100%);
            transform: translateY(-100%);
    opacity: 0;
  }

  /*undoing some styling*/
  nav #nav-name-backup {
    display: inline;
  }
  nav a.nav-name { 
    margin-right: 0;
  }
  nav div#nav-collapse a.nav-name {
    width: 100%;
    display: block;
    text-align: center;
    margin-top: 1em;
    margin-bottom: 1em;
    font-size: 1.5em;
    color: white;
    opacity: 1;
  }
  nav div#nav-collapse div > li {
    width: 100%;
    display: block;
    margin: 0;
    padding: 0;
  }
  nav div#nav-collapse div > li > a, nav li label.dropdown-title {
    display: block;
    padding: 1em 0em;
    font-weight: bold;
    border-bottom: 2px solid rgba(255, 255, 255, 0.2);
  }
  nav div#nav-collapse div > li > a, nav li label.dropdown-title:hover {
    cursor: pointer;
  }
  nav li > a, nav li label.dropdown-title, nav li > a:hover, nav li:hover label.dropdown-title, nav li.active > a, nav ul.dropdown li a:focus {
    color: rgb(255, 255, 255);
    opacity: 0.8;
  }
  nav li.active > a {
    opacity: 1;
  }
  nav li label.dropdown-title::before, nav li:hover label.dropdown-title::before, nav li:focus label.dropdown-title::before {
    border-color: rgba(255, 255, 255, 0.8);
    -webkit-transform: translate(0%, -8px) rotate(-45deg);
        -ms-transform: translate(0%, -8px) rotate(-45deg);
            transform: translate(0%, -8px) rotate(-45deg);
  }
  nav div#nav-collapse div > li > a::after, nav div#nav-collapse div > li label.dropdown-title::after {
    background-color: rgba(255, 255, 255, 0.4);
    bottom: -2px;
    height: 2px;
  }

  /*undoing some dropdown styling*/
  nav li label.dropdown-title + div, 
  nav li:hover label.dropdown-title + div, 
  nav li:focus label.dropdown-title + div,
  nav.scrolledDown li label.dropdown-title + div { /*making dropdown div centered again*/
    position: relative;
    top: auto;
    left: auto;
    max-height: 0;
    padding-top: 0;
    width: 100%;
    overflow: hidden;
    -webkit-backface-visibility: hidden;
       -moz-backface-visibility: hidden;
            backface-visibility: hidden;
    -webkit-transform: translate3d(0, 1em, 0);
        -ms-transform: translate3d(0, 1em, 0);
            transform: translate3d(0, 1em, 0);
  }
  body.no-js nav li label.dropdown-title + div {
    max-height: none;
    overflow: initial;
  }
  nav li label.dropdown-title + div, nav li:hover label.dropdown-title + div {
    visibility: visible;
    opacity: 1;
  }
  nav ul.dropdown::before, nav ul.dropdown li:first-of-type a::before { /*hiding up caret at top of dropdown*/
    display: none;
  }
  nav ul.dropdown, nav.light ul.dropdown {
    vertical-align: top;
    position: relative;
    margin: 0;
    margin-bottom: 2em;
    display: inline-block;
    width: 100%;
    background: rgba(255, 255, 255, 0);
    box-shadow: none;
    text-align: left;
    border-radius: 0;
  }
  nav ul.dropdown::after, nav.light ul.dropdown::after { /*underline when dropdown is expanded*/
    content: "";
    position: absolute;
    bottom: -1em;
    left: 0;
    width: 100%;
    height: 2px;
    background: rgba(255, 255, 255, 0.2);
  }
  nav #language-nav ul.dropdown::after { /*no underline for language nav*/
    display: none;
  }
  nav ul.dropdown li a:hover, nav ul.dropdown li.active a, nav ul.dropdown li a:focus {
    background: none;
  }
  nav ul.dropdown li.active a {
    text-decoration: underline;
  }

  /*menu symbols*/
  nav #nav-menu, nav #nav-close {
    display: block;
  }
}

/*language selection styling (only on larger screens)*/
@media (min-width: 50em){
  nav #language-nav {
    position: relative;
    display: inline-block;
    /*margin: 0 2em 0 auto;*/
  }
  nav #language-nav label.dropdown-title {
    padding: 0.6em 2.25em 0.6em 0.75em;
    border-radius: 7px;
    min-width: 8em;
  }
  nav #language-nav label.dropdown-title:hover {
    cursor: pointer;
  }
  nav > #language-nav label.dropdown-title::after {
    display: none;
  }
  nav #language-nav label.dropdown-title::before {
    right: 2em;
  }
  nav #language-nav label .material-icons { 
    vertical-align: middle;
    margin-right: 0.25em;
    font-size: 1.35em;
  }
  nav #language-nav ul.dropdown {
    min-width: 8em;
    overflow: hidden;
  }
  nav #language-nav ul.dropdown::before, nav #language-nav ul.dropdown li:first-of-type a::before {
    display: none;
  }
  nav #language-nav label.dropdown-title + div { /*don't do anything on hover*/
    visibility: hidden;
    opacity: 0;
    -webkit-transform: translate(-50%, -0.2rem);
        -ms-transform: translate(-50%, -0.2rem);
            transform: translate(-50%, -0.2rem);
  }
  nav #language-nav input:checked ~ label.dropdown-title { /*styling "active" state (dropdown opened)*/
    color: black;
    background-color:rgba(0, 0, 0, 0.1);
  }
  nav #language-nav input:checked ~ label.dropdown-title::before {
    border-color: black;
  }
  nav #language-nav input:checked ~ div { 
    visibility: visible;
    opacity: 1;
    -webkit-transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
            transform: translate(-50%, 0);
  }
  nav #language-nav label.dropdown-title::after { /*remove underline on checked*/
    display: none;
  }

  /*navbar light styling*/
  nav.light #language-nav input:checked ~ label.dropdown-title { /*styling "active" state*/
    color: white;
    opacity: 1;
    background-color:rgba(255, 255, 255, 0.1);
  }
  nav.light #language-nav input:checked ~ label.dropdown-title::before { 
    border-color: white;
  }
}

/*general stylings*/
/*placeholders for images (while they load)*/
div.placeholder-img {
  position: relative;
  background: rgb(200, 200, 200);
}
div.placeholder-img img {
  position: absolute;
  top: 0;
  left: 0;
  vertical-align: top;
  width: 100%;
  height: auto;
  z-index: 1;
}
@keyframes placeholder-spin {
  0% {
    -webkit-transform: translate(-50%, -50%) rotate(0);
        -ms-transform: translate(-50%, -50%) rotate(0);
            transform: translate(-50%, -50%) rotate(0);
  }
  100% {
    -webkit-transform: translate(-50%, -50%) rotate(360deg);
        -ms-transform: translate(-50%, -50%) rotate(360deg);
            transform: translate(-50%, -50%) rotate(360deg);
  }
}
body.has-js div.placeholder-img img {
  opacity: 0;
  transition: opacity 0.5s ease;
  user-select: none;
}
body.has-js div.placeholder-img::after, 
#modal-mask .modal-img-container.loading::after { /*loading symbol*/
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 4em;
  height: 4em;
  border-radius: 50%;
  border: 4px solid rgba(0, 0, 0, 0.15);
  border-right-color: transparent;
  -webkit-transform: translate(-50%, -50%) rotate(0);
      -ms-transform: translate(-50%, -50%) rotate(0);
          transform: translate(-50%, -50%) rotate(0);
  transform-origin: center;
  z-index: 0;
}
body.has-js div.placeholder-img.loading::after, 
#modal-mask .modal-img-container.loading::after {
  animation: placeholder-spin 2s linear infinite;
}

/*responsive image gallery*/
div.photo-gallery-container {
  width: 100%;
}
div.photo-gallery-container .masonryRow {
  display: -webkit-box;      /* OLD - iOS 6-, Safari 3.1-6 */
  display: -moz-box;         /* OLD - Firefox 19- (buggy but mostly works) */
  display: -ms-flexbox;      /* TWEENER - IE 10 */
  display: -webkit-flex;     /* NEW - Chrome */
  display: flex;
    -webkit-box-align: start;
       -moz-box-align: start;
  -webkit-align-items: flex-start;
       -ms-flex-align: start;
          align-items: flex-start;
  margin-right: 0;
  margin-bottom: 10px;
  width: 100%;
}
div.photo-gallery-container .masonryRow > * {
  display: inline-block;
  max-width: 100%;
  margin-right: 10px;
  flex-basis: 0;
}
div.photo-gallery-container .masonryRow :last-child {
  margin-right: 0;
}
div.photo-gallery-container .img-container > img {
  max-width: 100%;
  max-height: 100%;
  vertical-align: top;
  min-width: 0px;
}
/*last row styling (empty, without scaling it up)*/
div.photo-gallery-container .masonryRow.last-row-empty {
  display: block;
}
div.photo-gallery-container .masonryRow.last-row-empty > div, div.photo-gallery-container .masonryRow.last-row-empty img {
  display: inline-block;
  height: 100%;
  vertical-align: top;
}

/*mobile layout with full-width images*/
div.photo-gallery-container > * {
  max-width: 100%;
  width: 100%;
  margin-bottom: 10px;
}
div.photo-gallery-container > * img {
  width: 100%;
}

/*no-js layout*/
body.no-js div.photo-gallery-container, div.photo-gallery-container.multi-column {
  position: relative;
  column-count: auto;
  column-width: 16em;
  column-fill: balance;
  column-gap: 1em;
}
body.no-js div.photo-gallery-container > *, div.photo-gallery-container.multi-column > * {
  width: 100%;
  height: auto;
  /*display: block; doesn't work with avoiding breaking columns??*/
  display: block;
  padding-top: 1em;
  -webkit-column-break-inside: avoid;
     -moz-column-break-inside: avoid;
       -moz-page-break-inside: avoid;
            page-break-inside: avoid;
                 break-inside: avoid-column;
}
body.no-js div.photo-gallery-container img, div.photo-gallery-container.multi-column img {
  vertical-align: top;
  height: auto;
}

/*caption for photos in the gallery styling*/
.caption {
  margin-top: 0.75em;
  margin-bottom: 1.5em;
  font-size: 0.9em;
  line-height: 1.15em;
}
.year::before {
  content: " - ";
}
html[lang^="en"] .year {
  font-style: italic;
}
.modal-description .year { /*in modal popup*/
  font-weight: normal;
  font-style: normal;
  opacity: 0.8;
  margin-left: 0.25em;
}
.modal-description .year::before, .modal-description .year::after {
  content: " (";
  opacity: 1;
}
.modal-description .year::after {
  content: ")"
}

/*lightbox styling*/
.modal-open .placeholder-img, .modal-open > img {
  box-shadow: 0 0 0 rgba(0, 0, 0, 0.2);
  transition: 0.2s ease;
}
.modal-open .placeholder-img:hover, .modal-open > img:hover {
  cursor: pointer;
  box-shadow: 0 0.25em 1em rgba(0, 0, 0, 0.2);
}
#modal-mask { /*mask*/
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.8);
  z-index: 50;
  opacity: 0;
  visibility: hidden;
  overflow: hidden;
  transition-property: opacity, visibility;
  transition-duration: 0.5s;
  transition-timing-function: ease;
}
#modal-mask.active {
  visibility: visible;
  opacity: 1;
}
#modal-mask .modal { /*white popup*/
  width: 6em;
  position: relative;
  max-width: 100% !important;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  background: white;
  padding: 20px;
  border-radius: 0.75em;
  transition: 0.4s ease;
}
#modal-mask .modal-img-container { /*image container (height changes)*/
  height: 6em;
  width: 100%;
  position: relative;
  transition: 0.4s ease;
}
#modal-mask .modal-img-container img {
  position: absolute;
  width: 100%;
  height: auto;
  opacity: 0;
  display: none;
  z-index: 1;
  vertical-align: top;
  transition: 0.5s ease;
}
#modal-mask .arrow-container { /*styling arrows*/
  position: absolute;
  top: 50%;
  left: -20px;
  width: 70px;
  padding: 1.5em 0.75em;
  text-align: center;
  -webkit-transform: translate(-100%, -50%);
      -ms-transform: translate(-100%, -50%);
          transform: translate(-100%, -50%);
  color: white;
  opacity: 0.9;
  transition: 0.2s ease;
}
#modal-mask .arrow-container.east {
  left: auto;
  right: -20px;
  -webkit-transform: translate(100%, -50%);
      -ms-transform: translate(100%, -50%);
          transform: translate(100%, -50%);
}
#modal-mask .arrow-container .material-icons {
  font-size: 1.5em;
  -webkit-transform: translateX(0);
      -ms-transform: translateX(0);
          transform: translateX(0);
  transition: inherit;
}
#modal-mask .arrow-container:hover { /*hover states*/
  cursor: pointer;
  opacity: 1;
}
#modal-mask .arrow-container:hover .material-icons {
  -webkit-transform: translateX(-5px);
      -ms-transform: translateX(-5px);
          transform: translateX(-5px);
}
#modal-mask .arrow-container.east:hover .material-icons {
  -webkit-transform: translateX(5px);
      -ms-transform: translateX(5px);
          transform: translateX(5px);
}
#modal-mask .arrow-container.grayout {
  pointer-events: none;
  color: white;
  opacity: 0.4;
}
#modal-mask .icon-close { /*close icon*/
  position: absolute;
  padding: 0.35em;
  border-radius: 50%;
  background: white;
  color: gray;
  box-shadow: 0 0.25em 0.15em rgba(0, 0, 0, 0.1);
  top: -20px;
  right: -20px;
  font-size: 1.5em;
  -webkit-transform: scale(1);
      -ms-transform: scale(1);
          transform: scale(1);
  z-index: 2;
  transition: 0.2s ease;
}
#modal-mask .icon-close:hover {
  cursor: pointer;
  color: black;
  -webkit-transform: scale(1.05);
      -ms-transform: scale(1.05);
          transform: scale(1.05);
}
#modal-mask .modal-description { /*modal description*/
  position: relative;
  padding: 1px 0;
  overflow: hidden;
  transition-property: opacity, max-height;
  transition-duration: 0.4s;
  transition-timing-function: ease;
}
#modal-mask .modal-description p {
  color: gray;
  margin: 0.5em 0;
  margin-bottom: 0.25em;
  width: 100%;
  font-weight: bold;
}
#modal-mask .modal-description p:first-child {
  margin-top: 1.15em;
}
#modal-mask .modal-description p:last-child {
  margin-top: 0.25em;
  margin-bottom: 0.75em;
  font-weight: normal;
  line-height: 1em;
  opacity: 0.8;
}
@media (max-height: 400px){ /*small screen (height wise)*/
  #modal-mask {
    overflow: auto;
  }
  #modal-mask .modal {
    top: 0;
    left: 0;
    margin: 4em auto;
    margin: 10vh auto;
    -webkit-transform: none;
        -ms-transform: none;
            transform: none;
  }
}
@media (hover: none){
  #modal-mask .arrow-container { /*styling arrows if no hover*/
    opacity: 1;
  }
  #modal-mask .arrow-container.grayout {
    opacity: 0.4;
  }
}

/*heading + content (max width)*/
div.heading, div.content {
  max-width: 110em;
  margin: 0 auto;
}

/*heading*/
div.heading {
  padding: 6.5em 20%;
  padding-bottom: 1em;
  text-align: center;
  background: rgb(250, 250, 250);
}
div.heading h1 {
  padding-bottom: 0.5em;
  border-bottom: 1px solid;
  font-size: 2.5em;
  color: black;
}

/*content*/
div.content {
  padding: 2em 20%;
  color: gray;
  background: rgb(250, 250, 250);
}
div.content > h2 {
  color: black;
  font-size: 1.9em;
}
div.content a, a.styled-link, footer a {
  position: relative;
  text-decoration: none;
  padding-bottom: 2px;
  border-bottom: 2px solid rgba(35, 138, 163, 0.3);
  color: rgb(35, 138, 163);
  transition: 0.2s ease;
}
div.content a:hover, a.styled-link:hover {
  color: rgb(76, 173, 197);
  border-bottom: 2px solid rgba(35, 138, 163, 0.25);
}
div.content a::before, a.styled-link::before, footer a::before { /*underlining effect*/
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 100%;
  height: 2px;
  background: rgba(35, 138, 163, 0.5);
  -webkit-transform: scale(0, 1);
      -ms-transform: scale(0, 1);
          transform: scale(0, 1);
  transform-origin: left 50%;
  transition: inherit;
}
div.content a:hover::before, a.styled-link:hover::before, footer a:hover::before {
  -webkit-transform: scale(1, 1);
      -ms-transform: scale(1, 1);
          transform: scale(1, 1);
}
div.content a.has-icon { /*link that has an icon*/
  vertical-align: middle;
}
div.content a.has-icon.icon-left {
  margin-left: 1.5em; /*if icon is on the left, add margin*/
}
div.content a.has-icon .material-icons, a.styled-link.has-icon .material-icons { 
  vertical-align: middle;
  position: absolute;
  right: 0;
  top: 50%;
  padding-left: 0.25em;
  -webkit-transform: translate(100%, -50%);
      -ms-transform: translate(100%, -50%);
          transform: translate(100%, -50%);
  transition: inherit;
}
div.content a.has-icon.icon-left .material-icons, a.styled-link.has-icon.icon-left .material-icons {
  right: initial;
  left: 0;
  padding-right: 0.25em;
  padding-left: 0;
  -webkit-transform: translate(-100%, -50%);
      -ms-transform: translate(-100%, -50%);
          transform: translate(-100%, -50%);
}
div.content a.has-icon:hover .material-icons, a.styled-link.has-icon:hover .material-icons {
  -webkit-transform: translate(125%, -50%);
      -ms-transform: translate(125%, -50%);
          transform: translate(125%, -50%);
}
div.content a.has-icon.icon-left:hover .material-icons, a.styled-link.has-icon.icon-left:hover .material-icons {
  -webkit-transform: translate(-125%, -50%);
      -ms-transform: translate(-125%, -50%);
          transform: translate(-125%, -50%);
}

/*footer*/
footer {
  text-align: center;
  color: gray;
  background: rgb(250, 250, 250);
  padding: 0.5em 1em;
  padding-bottom: 1.25em;
}
footer a .material-icons {
  vertical-align: middle;
  margin-right: 0.25em;
  font-size: 1.3em;
}
footer span.divider {
  padding: 0 0.5em;
}
footer .copyright {
  font-size: 0.9em;
}

/*responsive adjustment to larger displays*/
@media (max-width: 40em) {
  div.heading {
    padding-top: 5em;
  }
  footer, div.content, div.heading {
    padding-left: 10%;
    padding-right: 10%;
  }
}
@media (min-width: 70em){
  body {
    font-size: 1.1em;
    line-height: 1.45em;
  }
  html[lang^="zh"] body {
    line-height: 1.6em;
  }
  h1, h2, h3, h4 {
    line-height: 125%;
  }
}
@media (min-width: 120em){
  body {
    font-size: 1.2em;
    line-height: 1.6em;
  }
  html[lang^="zh"] body {
    line-height: 1.75em;
  }
}
@media (min-width: 160em){
  body {
    font-size: 1.3em;
    line-height: 1.7em;
  }
  html[lang^="zh"] body {
    line-height: 1.85em;
  }
}